#!/bin/sh
# -*- mode: shell-script; coding: utf-8 -*-
#
# postinst script for elho-base-preconf
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#	 * <postinst> 'configure' <most-recently-configured-version>
#	 * <old-postinst> 'abort-upgrade' <new version>
#	 * <conflictor's-postinst> 'abort-remove' 'in-favour' <package>
#	   <new-version>
#	 * <postinst> 'abort-remove'
#	 * <deconfigured's-postinst> 'abort-deconfigure' 'in-favour'
#	   <failed-install-package> <version> 'removing'
#	   <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package


case "$1" in
    configure)
	debconf-set-selections /usr/share/elho/preseed/elho-base.cfg
	debconf-set-selections /usr/share/elho/preseed/exim4-dns.cfg

	/lib/elho/seed-exim4-hostnames | debconf-set-selections
	# prevent exim4-config from appending mailname again
	debconf-fset exim4/dc_other_hostnames mailname true

	# remove obsolete sysctl configuration
	if [ -f /etc/sysctl.d/proc-maps.conf ]; then
	    rm -f /etc/sysctl.d/proc-maps.conf
	fi

	# put original ferm.conf in place, to avoid dpkg prompting due to
	# changed conffile
	if [ ! -f /etc/ferm/ferm.conf.distrib ]; then
	    install --mode=644 --no-target-directory \
		/usr/share/elho/distfiles/squeeze/ferm.conf \
		/etc/ferm/ferm.conf.distrib
	fi
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
	echo "postinst called with unknown argument '$1'" >&2
	exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0


